
var globalFormObj;
var globalDateName;
var globalFromTo;
function hasClass(obj) {
	var result = false;
	if (obj.getAttributeNode("class") != null) {
		result = obj.getAttributeNode("class").value;
	}
	return result;
}
function stripe(id) {
	var even = false;
	var evenColor = arguments[1] ? arguments[1] : "#fff";
	var oddColor = arguments[2] ? arguments[2] : "#eee";
	var table = document.getElementById(id);
	if (!table) {
		return;
	}
	var tbodies = table.getElementsByTagName("tbody");
	for (var h = 0; h < tbodies.length; h++) {
		var trs = tbodies[h].getElementsByTagName("tr");
		for (var i = 0; i < trs.length; i++) {
			if (!hasClass(trs[i]) && !trs[i].style.backgroundColor) {
				var tds = trs[i].getElementsByTagName("td");
				for (var j = 0; j < tds.length; j++) {
					var mytd = tds[j];
					if (!hasClass(mytd) && !mytd.style.backgroundColor) {
						mytd.style.backgroundColor = even ? evenColor : oddColor;
					}
				}
			}
			even = !even;
		}
	}
}
function activateTag(tag) {
	this.id = "current";
}
function openCalendar(windowUrl, dateName, formObj, fromTo) {
	globalFormObj = formObj;
	globalDateName = dateName;
	globalFromTo = fromTo;
	pCalendarDateName = dateName;
	pCalendarForm = formObj;
	pCalendar = window.open(windowUrl + dateName + "," + formObj.name, "", "width=160,height=160,top=120,left=120,titlebar=no");
	waitToClose();
}
function waitToClose() {
	if (!pCalendar.closed) {
		setTimeout("waitToClose();", 500);
	} else {
		checkPopUpCalendarDate(pCalendarDateName, pCalendarForm);
		fillDateFromHidden(globalFormObj, globalDateName, globalFromTo);
	}
}
function checkPopUpCalendarDate(dateName, formObj) {
	var fromTo = "";
	if (dateName.indexOf("In") != -1) {
		fromTo = "f";
	}
	if (dateName.indexOf("Out") != -1) {
		fromTo = "t";
	}
	var tmpDate = eval("formObj." + dateName + ".value").split("-");
	var tmpYear = tmpDate[0];
	var tmpMonth = tmpDate[1];
	var tmpDay = tmpDate[2].substr(0, 2);
}
function switchTab(tabName) {
	if (document.loginInfo.logged.value == "no")
		return;
	if (document.getElementById(tabName + "SearchOptions")) {
		for (i = 0; i < document.body.getElementsByTagName("li").length; i++) {
			var element = document.body.getElementsByTagName("li")[i];
			if (element.id.indexOf("nav_") == 0 && element.id != tabName && element.className != "hidden") {
				element.className = "notactive";
			}
		}
		document.getElementById(tabName).className = "active";
		for (i = 0; i < document.body.getElementsByTagName("div").length; i++) {
			var element = document.body.getElementsByTagName("div")[i];
			if (element.id.indexOf("nav_") == 0 && element.id != tabName && element.className != "hidden") {
				element.style.display = "none";
			}
		}
		document.getElementById(tabName + "SearchOptions").style.display = "inline";
		var txt = "";
		if (tabName == "nav_hotels") {
			txt = "hotel";
		} else if (tabName == "nav_transfers") {
			txt = "transfer";
		} else if (tabName == "nav_sightseeings") {
			txt = "sightseeing";
		} else if (tabName == "nav_login"){
			if (document.loginInfo.logged.value == "yes" && document.loginInfo.privileges.value >= 12){
				document.loginInfo.logged.value = "no";
				document.getElementById("userAgencyBranch").innerHTML="No user logged";
				document.getElementById("resultsData").innerHTML='<div id="splash"><h3>Successfully logged out</h3></div>';				
				document.getElementById("logLabel").innerHTML='Log In';
				setTabsActive(false);
				document.getElementById("nav_login").className="active";
				return;
			}
			else if (document.loginInfo.logged.value == "yes" && document.loginInfo.privileges.value=="0"){
			}
			txt= "login";
		} else if (tabName == "nav_travelfile"){
			document.r1.tfCode.value="NEW";
			document.r2.tfCode.value="NEW";
			document.getElementById("resultsData").innerHTML="";
		}
		if (document.r1.tfCode.value != "NEW") {
			document.getElementById("wiz").innerHTML = "<li id=\"step_0\">Add booking to travel file >> Select " + txt + " criteria</li>";
		} else {
			document.getElementById("wiz").innerHTML = "<li id=\"step_0\">Select " + txt + " criteria</li>";
		}
	}
	if (document.loginInfo.logged.value == "empty")
		document.loginInfo.logged.value = "no";
	hideCalendar();
}
function getSelectedHotelInfo(hotelInfo) {
	var hotelElement = document.getElementById(hotelInfo);
	var selectedHotelDetails = document.getElementById("selectedHotelDetails");
	if (selectedHotelDetails.rows.length > 0) {
		selectedHotelDetails.deleteRow();
	}

	var row = selectedHotelDetails.insertRow();
	row.insertCell().innerHTML = hotelElement.cells[0].innerHTML;
	row.insertCell().innerHTML = hotelElement.cells[1].innerHTML;
	row.insertCell().innerHTML = hotelElement.cells[2].innerHTML;
	row.insertCell().innerHTML = hotelElement.cells[3].innerHTML;
	row.insertCell().innerHTML = hotelElement.cells[4].innerHTML;
	row.insertCell().innerHTML = hotelElement.cells[6].innerHTML;
	row.insertCell().innerHTML = hotelElement.cells[8].innerHTML;
}
function getSelectedServiceInfo(serviceInfo) {
	var serviceElement = document.getElementById(serviceInfo);
	var selectedServiceDetails = document.getElementById("selectedServiceDetails");
	if (selectedServiceDetails.rows.length > 0) {
		selectedServiceDetails.deleteRow();
	}
	var row = selectedServiceDetails.insertRow();
	for (i = 1; i < serviceElement.cells.length; i++) {
		var td = serviceElement.cells[i];
		row.insertCell().innerHTML = td.innerHTML;
	}
}
function showInfo(infoText) {
	var infoDiv = document.createElement("div");
	document.getElementById("infoText").appendChild(infoDiv);
	infoDiv.className = "wizInfoDiv";
	infoDiv.id = "wizInfoDiv";
	infoDiv.innerHTML = infoText;
	var posx = 0;
	var posy = 0;
	if (!e) {
		var e = window.event;
	}
	if (e.pageX || e.pageY) {
		posx = e.pageX;
		posy = e.pageY;
	} else {
		if (e.clientX || e.clientY) {
			posx = e.clientX + document.body.scrollLeft + document.documentElement.scrollLeft;
			posy = e.clientY + document.body.scrollTop + document.documentElement.scrollTop;
		}
	}
	infoDiv.style.top = posy;
	infoDiv.style.left = posx;
	infoDiv.style.visibility = "visible";
}
function hideInfo() {
	try {
		var infoDiv = document.getElementById("wizInfoDiv");
		document.getElementById("infoText").removeChild(infoDiv);
	}
	catch (e) {
	}
}
function addToWizard(stepNum, stepText, action, infoText) {
	var ul = document.getElementById("wiz");
	var stepIndex = -1;
	var txt = "";
	var separator = "";
	if (stepNum != "0") {
		separator = " >> ";
	}
	if (action != "") {
		txt = separator + "<a onmouseout=\"hideInfo();\" onmouseover=\"showInfo('" + infoText + "')\" onclick=\"" + action + "\">" + stepText + "</a>";
	} else {
		txt = separator + stepText;
	}
	for (i = 0; i < ul.children.length; i++) {
		var li = ul.children[i];
		if (li.id == "step_" + stepNum) {
			stepIndex = i;
		}
	}
	if (stepIndex != -1) {
		var li = ul.children[stepIndex];
		li.innerHTML = txt;
		deleteFromWizard(stepIndex);
	} else {
		var newLi = document.createElement("li");
		newLi.innerHTML = txt;
		newLi.id = "step_" + stepNum;
		newLi.className = "current";
		ul.appendChild(newLi);
	}
	deleteFromWizard(stepNum);
}
function deleteFromWizard(index) {
	var ul = document.getElementById("wiz");
	var z = ul.children.length;
	for (i = (z - 1); i >= 0; i--) {
		var li = ul.children[i];
		var step = parseInt(li.id.split("_")[1], 10);
		if (step > parseInt(index, 10)) {
			ul.removeChild(li);
		} else {
			if (step == index) {
				li.className = "current";
			} else {
				if (step < parseInt(index, 10)) {
					li.className = "";
				}
			}
		}
	}
}
function showMap(hotelName, address) {
	document.gmaps.hotelName.value = hotelName;
	document.gmaps.address.value = address + "," + document.r1.cityName.value + "," + document.r1.countryName.value;
	window.open("geocoder.html", "", "toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbar=no,resizable=no,copyhistory=yes,width=600,height=500");
}
function activateStyleSheet(name) {
	var c, i, t;
	if (!(c = document.styleSheets)) {
		return;
	}
	i = c.length;
	while (i--) {
		if ((t = c[i].title)) {
			c[i].disabled = (name != t);
		}
	}
	createCookie('guiSize', name, 30);
}
function getInitialStyleSheet(name) {
	if (readCookie(name)) 
	{
		activateStyleSheet(readCookie(name));
	}
	for(i=0; i<document.getElementById("guiSize").options.length; i++)
	{
		if(document.getElementById("guiSize").options[i].value==name)
		{
			document.getElementById("guiSize").selectedIndex = i;
			break;
		}
	}
}
function createCookie(name,value,days) {
	if (days) {
		var date = new Date();
		date.setTime(date.getTime()+(days*24*60*60*1000));
		var expires = "; expires="+date.toGMTString();
	}
	else var expires = "";
	document.cookie = name + "=" + value + expires + "; path=/";
}

function readCookie(name) {
	var nameEQ = name + "=";
	var ca = document.cookie.split(';');
	for(var i=0;i < ca.length;i++) {
		var c = ca[i];
		while (c.charAt(0)==' ') c = c.substring(1,c.length);
		if (c.indexOf(nameEQ) == 0)
		{
			return c.substring(nameEQ.length,c.length);
		}
	}
	return null;
}

function eraseCookie(name) {
	createCookie(name,"",-1);
}

function setTabsActive(activate){
	for (i = 0; i < document.body.getElementsByTagName("li").length; i++) {
		var element = document.body.getElementsByTagName("li")[i];
		if (activate)
			element.className = "notactive";
		else
			element.className = "hidden";
	}
}