<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ota="http://www.opentravel.org/OTA">


<xsl:template match="/">

<xsl:choose>
			<xsl:when test="boolean(//ota:StandardError)">
				<div class="responseError">
					<span><h2>ERROR</h2></span><span><xsl:value-of select="//ota:StandardError"/></span>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="RoomTypeCode"><xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/@RoomTypeCode"/></xsl:variable>
				 
				 
				  <table width="610" cellspacing="1" cellpadding="8" border="1">
				    <tr>
				    	<td align="center">
				    		<table width="610" border="0" cellpadding="5" cellspacing="5">
					    		<td width="200">
						    		<img>
							    		<xsl:attribute name="src">
							    			<xsl:value-of select="//ota:VoucherLogos/@LogoClient"/>
							    		</xsl:attribute> 
							    	</img>		
						    		</td>
						    			<td width="200" align="center"><font size="4"> Voucher</font></td>
						    		<td width="200">
						    		<img>
							    		<xsl:attribute name="src">
							    			<xsl:value-of select="//ota:VoucherLogos/@LogoAgencie"/>
							    		</xsl:attribute> 
							    	</img>		
							</td>    	
				    		</table>
				    	</td>	
				    	
				    	</tr>	
				    	
				    	
				    	<tr><td>
				    	
				    	<table width="610" border="0" cellpadding="5" cellspacing="5">
				<!--xsl:choose-->    	
				    	<tbody>	
						<tr><td colspan="2">
							<table border="1" width="600" >
							<tr>
							<td>Client: 
								<table border="0">
								<xsl:for-each select=".//ota:ResProfile">
									<tr>
									
									<td> <b><xsl:value-of select="./ota:Profile/ota:Customer/ota:PersonName/ota:Surname"/>&#160;<xsl:value-of select="./ota:Profile/ota:Customer/ota:PersonName/ota:NamePrefix"/></b></td>
									</tr>
								</xsl:for-each>	
								</table>
							</td>
						
							<td align="center">Adult: <b><xsl:value-of select="//ota:VoucherReservation/ota:Adult"/></b> /Child: <b><xsl:value-of select="//ota:VoucherReservation/ota:Child"/></b></td>	
							</tr>
				          		</table>
				          	
				          	</td>
				          	</tr>
				          	<tr>
				          	<td colspan="2">
				          	<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'H'">
				          	<!--xsl:when test="$TypeReservation=H"-->
				          		<b>HOTEL: </b><xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/ota:HotelReference/@HotelName"/>
				          		<br><xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/ota:HotelReference/@HotelAddress"/>,&#160;
				          		&#160;<xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/ota:HotelReference/@HotelCity"/>
				          		(<xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/ota:HotelReference/@HotelCountry"/>)
				          		,Tel: <xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/ota:HotelReference/@Phone"/>
				          		</br><br>UrgenPhone: <xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/ota:HotelReference/@UrgenPhone"/>
				          		</br>
				          	<!--/xsl:when-->
				          	</xsl:if>
				        
				          	</td>
				          	</tr>
				          	<tr>
				          		<td colspan="2" class="big">PLEASE PROVIDE THE FOLLOWING SERVICES: </td>
				          		<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'S'">
					          	<!--xsl:when test="$TypeReservation=S"-->
					          		<tr><td>
					          		<b>SERVICE:</b><xsl:value-of select="//ota:VoucherReservation/ota:ServiceReference/@ServiceName"/>
					          		</td></tr>
				          		</xsl:if>
				          		<!--/xsl:when-->
				          		
				          		<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'X'">
					          	<!--xsl:when test="$TypeReservation=S"-->
					          		<tr><td>
					          		<b>SERVICE:</b><xsl:value-of select="//ota:VoucherReservation/ota:ServiceReference/@ServiceName"/>
					          		</td></tr>
				          		</xsl:if>
				          		<!--/xsl:when-->
				
							<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'T'">
					          	<!--xsl:when test="$TypeReservation=S"-->
					          		<tr><td>
					          		<b>TOUR:</b><xsl:value-of select="//ota:VoucherReservation/ota:TourReference/@TourName"/>
					          		</td></tr>
				          		</xsl:if>
				          		<!--/xsl:when-->
				
				          	</tr>
				    	
				    		<tr>
				    			<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'H'">
					    		<!--xsl:when test="$TypeReservation=H"-->
					    			<td><b>Check In: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@StartDate"/>
								&#160;&#160;&#160;&#160;<b>Check Out: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@EndDate"/>
								
								<!-- <br><b>Time In: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@CheckInTime"/>
					    			&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;<b>Time Out: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@CheckInTime"/>
					    			
					    			</br> -->
					    			</td>
							<!--/xsl:when-->
							</xsl:if>
							
							<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'S'">
							<!--xsl:when test="$TypeReservation=S"-->
								<td><b>Date: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@StartDate"/>
								<br><b>Time:</b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@Timetable"/></br>
								<br><b>Duration:</b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@Duration"/></br>
								<br><b>Carriage:</b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@Carriage"/></br>
								<br><b>Tour Departure Info:</b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@Info"/></br>
								</td>
							<!--/xsl:when-->
							</xsl:if>
				    		
				    			<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'X'">
							<!--xsl:when test="$TypeReservation=S"-->
								<td><b>Date: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@StartDate"/>
								</td>
							<!--/xsl:when-->
							</xsl:if>
				    		
							<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'T'">
							<!--xsl:when test="$TypeReservation=S"-->
								<td><b>Date: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@DepartureDate"/>&#160;&#160;&#160;&#160;
								<b>Nights:</b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@Nights"/>
								</td>
							<!--/xsl:when-->
							</xsl:if>    		
				    		
				    		
				    			<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'H'">
					    		<!--xsl:when test="$TypeReservation=H"-->
					    			<td><b>Nights: </b><xsl:value-of select="//ota:VoucherReservation/ota:StayDateRange/@Nights"/>
						    			<br><b>MealPlan: </b><xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/@MealPlan"/>
						    			</br><br><b>Room Name: </b><xsl:value-of select="//ota:VoucherReservation/ota:RoomStays/ota:RoomStay/@RoomNameParsys"/>    		
						    			</br><br><b>Room Use: </b>
							    			<xsl:choose>
							    				<xsl:when test="$RoomTypeCode=0">Single</xsl:when>
							    				<xsl:when test="$RoomTypeCode=1">Double</xsl:when>
							    				<xsl:when test="$RoomTypeCode=2">Twin bed</xsl:when>
							    				<xsl:when test="$RoomTypeCode=3">Triple</xsl:when>
							    				<xsl:when test="$RoomTypeCode=4">Triple/1 Child</xsl:when>
							    			</xsl:choose>	
						    			</br>
					    			</td>
				    			<!--/xsl:when-->
				    			</xsl:if>	
				    			
				    		</tr>
				 		<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'H'">
						<!--xsl:when test="$TypeReservation=H"-->
							<tr>
							<xsl:if test="count(.//ota:SpecialRequest)!=0">
							<td colspan="2" align="center"><b>Special Request: </b><br>
					    			<table  border="0" width="600">
					    			<tr><td align="center">
						    			<xsl:for-each select=".//ota:SpecialRequest">&#160;&#160;&#160;&#160;
						    				 <xsl:value-of select="./@Id"/>
						    			</xsl:for-each>
					    			</td></tr>
								</table>
							</br>
							</td>
					    	</xsl:if>
							</tr>
						<!--/xsl:when-->
						</xsl:if>
						<tr>
						<td colspan="2">
							<table  border="0" width="600">
							
						    		<tr>
						    			<td align="center">
						    			Supplier by: <b><xsl:value-of select="//ota:VoucherReservation/ota:Supplier/@SupplierName"/></b>
						    			<br><xsl:value-of select="//ota:VoucherReservation/ota:Supplier/@SupplierAddress"/>
									 <xsl:value-of select="//ota:VoucherReservation/ota:Supplier/@SupplierCity"/>&#160;(<xsl:value-of select="//ota:VoucherReservation/ota:Supplier/@SupplierCountry"/>)
									,tel:<xsl:value-of select="//ota:VoucherReservation/ota:Supplier/@SupplierPhone"/>
									</br>
									<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'H'">
										<br>
										<b>SUPPLIER CONFIRMATION NUMBER:</b> <xsl:value-of select="//ota:VoucherReservation/ota:Supplier/@ConfirmationNumber"/>
										</br>
									</xsl:if>
									</td>			
				    					
				    				</tr>
					    		
					    		</table>
				
					    	</td></tr>
						
						    	
					<xsl:if test="//ota:VoucherReservation/@TypeReservation = 'H'">
					<!--xsl:when test="$TypeReservation=H"-->
						<xsl:for-each select=".//ota:FixWarning">
						<tr>
							<td align="center" colspan="2">
								<xsl:value-of select="./@Id"/>
							</td>
						</tr>
						</xsl:for-each>	
					    	<tr>
					    		<td align="center" colspan="2"> <xsl:value-of select="//ota:AdditionalWarnings/@AdditionalWarning"/></td>	    			
					    	</tr>
					<!--/xsl:when-->
					</xsl:if>	    	
				    	
				    	</tbody>
				<!--/xsl:choose-->
				  	</table>
				  
				  </td>
				  </tr>
				  
				  </table>
				 </xsl:otherwise>
				</xsl:choose>
  
</xsl:template>

</xsl:stylesheet>
