
var oneDay = 1000 * 60 * 60 * 24;

function initializeForm(form) {
	var today = new Date();
	var fromDate = new Date(today.getTime() + oneDay);
	var fromDay = "" + fromDate.getDate();
	var fromMonth = "" + (fromDate.getMonth() + 1);
	if (fromDay.length < 2) {
		fromDay = "0" + fromDay;
	}
	if (fromMonth.length < 2) {
		fromMonth = "0" + fromMonth;
	}
	if (form.checkInDate) {
		form.checkInDate.value = fromDay + "-" + fromMonth + "-" + fromDate.getFullYear();
	}
	if (form.checkInDateTransfer) {
		form.checkInDateTransfer.value = fromDay + "-" + fromMonth + "-" + fromDate.getFullYear();
	}
	if (form.checkInDateSightseeing) {
		form.checkInDateSightseeing.value = fromDay + "-" + fromMonth + "-" + fromDate.getFullYear();
	}


	var toDate = new Date(fromDate.getTime() + oneDay);
	var toDay = "" + toDate.getDate();
	var toMonth = "" + (toDate.getMonth() + 1);
	if (toDay.length < 2) {
		toDay = "0" + toDay;
	}
	if (toMonth.length < 2) {
		toMonth = "0" + toMonth;
	}
	if (form.checkOutDate) {
		form.checkOutDate.value = toDay + "-" + toMonth + "-" + toDate.getFullYear();
	}
}
/*function initializeForm(form)
{
	loadFromToDates(form);
}*/
function selectHotelForReservation(hotel, roomCode, hotelId) {
	document.getElementById("resultsData").innerHTML = "";
	document.getElementById("roomingList").innerHTML = "";
	document.getElementById("resultsData").style.display = "none";
	document.getElementById("selectedItem").style.display = "inline";
	document.getElementById("selectedHotel").style.display = "none";
	document.getElementById("selectedService").style.display = "none";
	document.getElementById("transferAdditionalContent").style.display = "none";
	//document.getElementById("bookingSpecialRequests").style.display = "inline";
	//document.getElementById("bookButton").style.display = "inline";
	document.r1.serviceCode.value = hotelId;
	document.r1.roomCode.value = roomCode;
	//createRoomingList(roomCode);
	var result= addRoomInfo(roomCode);
	document.getElementById("roomingList").innerHTML =result.xml;
	deleteFromWizard(3);
}

function selectServiceForReservation(serviceInfo,numPaxes)
{
	getSelectedServiceInfo(serviceInfo);
	document.getElementById("resultsData").innerHTML = "";
	document.getElementById("roomingList").innerHTML = "";
	document.getElementById("resultsData").style.display = "none";
	document.getElementById("selectedItem").style.display = "inline";
	document.getElementById("selectedService").style.display = "none";
	document.getElementById("selectedHotel").style.display = "none";
	document.getElementById("transferAdditionalContent").style.display = "inline";
	//document.getElementById("bookingSpecialRequests").style.display = "none";
	
	document.getElementById("roomingList").innerHTML += "<p><h5>Paxes list</h5></p>";
	
	for(i=0;i<parseInt(numPaxes,10);i++)
	{
		document.getElementById("roomingList").innerHTML += "<p><select name=\"pax_num_" + i + "_salu\"><option value=\"Mr.\">Mr.</option><option value=\"Mrs.\">Mrs.</option><option value=\"Miss\">Miss</option><option value=\"Ms.\">Ms.</option></select> <input name=\"pax_num_" + i + "_name\" type=\"text\"/></p>";
	}
	
	document.getElementById("bookButton").innerHTML = "<p><input class=\"button\" type=\"button\" name=\"book\" value=\"Book service\" onclick=\"sendServiceBooking(document.r2);\"/></p>";
	
	var txt = 'show pax list for ';
	addToWizard(2,'Pax list','selectServiceForReservation(\'' + serviceInfo + '\',\'' + numPaxes + '\');',txt);
	deleteFromWizard(2);
	
}
function validateRooms(hotel, hotelId, hotelName) {
	var allRoomsOk = true;
	var roomsDiv = document.getElementById("roomsDiv");
	for (i = 0; i < document.r1.elements.length; i++) {
		var formElement = document.r1.elements[i];
		if (formElement.name.indexOf("roomAmount_") == 0) {
			var roomUse = formElement.name.split('_')[1];
			var roomUseQty = parseInt(formElement.value,10);
			if (roomUseQty > 0 && roomUseQty!='') {
				var roomUseSelectedQty = 0;
				for (j = 0; j < roomsDiv.getElementsByTagName("select").length; j++) {
					var auxFormElement = roomsDiv.getElementsByTagName("select")[j];
					if (auxFormElement.name.indexOf("Room_" + roomUse) == 0) {
						var thisValue = parseInt(auxFormElement.options[auxFormElement.selectedIndex].value, 10);
						roomUseSelectedQty = roomUseSelectedQty + thisValue;
					}
				}
				if (roomUseSelectedQty != roomUseQty) {
					allRoomsOk = false;
					break;
				}
			}
		}
	}
	if (allRoomsOk) 
	{
		var roomsRequest = "";
		var rValue = "";
		for (j = 0; j < document.getElementsByTagName("select").length; j++) {
			var auxFormElement = document.getElementsByTagName("select")[j];
			if (auxFormElement.name.indexOf("Room_") == 0 && auxFormElement.options[auxFormElement.selectedIndex].value != 0) {
				var tmp = auxFormElement.name.split("_");
				var roomCode = tmp[3];
				var roomUse = tmp[1];
				rValue += roomCode + "_" + roomUse + "_" + auxFormElement.options[auxFormElement.selectedIndex].value + "|";

				roomsRequest += "&HROOM0" + roomUse + "=" + auxFormElement.options[auxFormElement.selectedIndex].value;
				eval("document.r1.roomAmount_" + roomUse + ".value = " + auxFormElement.options[auxFormElement.selectedIndex].value);
			}
		}


		var form = document.f1;
		var fromDate = form.checkInDate.value;
		var toDate = form.checkOutDate.value;	
		var tfCode = form.tfCode.value;		

		var rq = url + "rooms?xxbd=" + dataBaseName + "&xxop=" + document.loginInfo.userName.value + "&xxps=" + document.loginInfo.passwd.value + "&diai=" + fromDate.substring(0, 2) + "&mesi=" + (fromDate.substring(3, 5) + fromDate.substring(6)) + "&anoi=" + fromDate.substring(6) + "&diaf=" + toDate.substring(0, 2) + "&mesf=" + (toDate.substring(3, 5) + toDate.substring(6)) + "&anof=" + toDate.substring(6) + roomsRequest + "&res=" + tfCode + "&radio_hotel=" + hotelId + "&xml=1&IsHotel=1&ByCity=1";
		if (document.loginInfo.privileges < 12)
			rq = rq + "&xxag="+document.loginInfo.agencyCode.value+"&xxbr="+document.loginInfo.branchCode.value;
		sendSync(rq,'','7');

		selectHotelForReservation(hotel, rValue, hotelId);
		var txt = 'show rooming list for ' + hotelName;
		addToWizard(3,'Rooming list','selectHotelForReservation(\'' + hotel + '\',\'' + rValue + '\',\'' + hotelId + '\');',txt);
		deleteFromWizard(3);
	} else {
		alert("Error! Different quantity of rooms selected!");
	}
}

function createRooms(hotel, roomCode, hotelId, form, hotelName) {
	var rValue = "";
	var roomsRequest ="";
	
	var tabla= new Array();
	for (k=0;k<4;k++){
		tabla[k]=new Array();
		tabla[k][0]=-1;
		tabla[k][1]=0;
	}
	var nRooms=document.getElementById("roomUsesList").getElementsByTagName("li").length;
	for(i=1; i<= nRooms; i++){
		var children=document.getElementById('room'+i+'Children').options[document.getElementById('room'+i+'Children').selectedIndex].value;
		var adults=document.getElementById('room'+i+'Adults').options[document.getElementById('room'+i+'Adults').selectedIndex].value;
		var name=document.getElementById('room'+i+'Use').options[document.getElementById('room'+i+'Use').selectedIndex].value;
		var use=translateRoomUses(adults,children,name);
		if (use==-1)
			break;
		var usado=false;
		var index=-1;
		var maxj=-1;
		for (j=0;j<i;j++){
			if (tabla[j][0]!=-1)
				maxj=j;
			if (tabla[j][0] == use){
				usado=true;
				index=j;
			}
		}
		
		if (usado){
			tabla[index][1]++;
		}
		else{
			tabla[maxj+1][0]=use;
			tabla[maxj+1][1]=1;
		}
	}
	
	for (k=0;k<4;k++){
		if (tabla[k][0]!=-1){
			rValue += roomCode+"_" + tabla[k][0] + "_" + tabla[k][1]+"|";
			roomsRequest += "&HROOM0" + tabla[k][0] + "=" + tabla[k][1];
		}
	}

	getSelectedHotelInfo(hotel);

	var fromDate = form.checkInDate.value;
	var toDate = form.checkOutDate.value;	
	var tfCode = form.tfCode.value;
	
	for(i=0; i< 4; i++)	{
		if (tabla[i][0]!=-1)
			eval("document.r1.roomAmount_" + tabla[i][0] + ".value = " + tabla[i][1]);
	}
	
	var rq = url + "rooms?xxbd=" + dataBaseName + "&xxop=" + document.loginInfo.userName.value + "&xxps=" + document.loginInfo.passwd.value + "&diai=" + fromDate.substring(0, 2) + "&mesi=" + (fromDate.substring(3, 5) + fromDate.substring(6)) + "&anoi=" + fromDate.substring(6) + "&diaf=" + toDate.substring(0, 2) + "&mesf=" + (toDate.substring(3, 5) + toDate.substring(6)) + "&anof=" + toDate.substring(6) + roomsRequest + "&res=" + tfCode + "&radio_hotel=" + hotelId + "&xml=1&IsHotel=1&ByCity=1";
	if (document.loginInfo.privileges < 12)
		rq = rq + "&xxag="+document.loginInfo.agencyCode.value+"&xxbr="+document.loginInfo.branchCode.value;
	sendSync(rq,'','7');
	//document.getElementById("userAgencyBranch").innerHTML += '<br>'+rq;
	selectHotelForReservation(hotel, rValue, hotelId);
	var txt = 'show rooming list for ' + hotelName;
	addToWizard(2,'Rooming list','selectHotelForReservation(\'' + hotel + '\',\'' + rValue + '\',\'' + hotelId + '\');',txt);
	deleteFromWizard(2);
}
function createRoomingList(roomId) {
	var numRoom = 0;
	var tmp = roomId.split("|");
	document.getElementById("roomingList").innerHTML += "<h3>Rooming list</h3>";
	var count = 0;
	for (i = 0; i < tmp.length; i++) {
		var room = tmp[i];
		if (room != "") {
			var roomCode = room.split("_")[0];
			var roomUse = room.split("_")[1];
			var roomUseQty = room.split("_")[2];
			var n = 0;
			for (j = 0; j < roomUseQty; j++) {
				var k = 0;
				switch (parseInt(roomUse, 10)) {
				  case 0:
					k = 1;
					break;
				  case 1:
					k = 2;
					break;
				  case 2:
					k = 2;
					break;
				}
				document.getElementById("roomingList").innerHTML += "<p><h5>Paxes for room " + (numRoom + 1) + "</h5></p>";
				document.getElementById("roomingList").innerHTML += "<h5 id=\"leadPax\" class=\"right\">Lead pax</h5>";	
				for (z = 0; z < k; z++) {
					var checked = '';
					if(count==0)
						checked= ' checked ';
					document.getElementById("roomingList").innerHTML += "<p><select name=\"room_" + roomCode + "_num_" + numRoom + "_use_" + roomUse + "_pax_" + z + "_salu\"><option value=\"Mr.\">Mr.</option><option value=\"Mrs.\">Mrs.</option><option value=\"Miss\">Miss</option><option value=\"Ms.\">Ms.</option></select> <input name=\"room_" + roomCode + "_num_" + numRoom + "_use_" + roomUse + "_pax_" + z + "_name\" type=\"text\"/> <label><input type=\"radio\" class=\"radio\" " + checked + " name=\"leadPax\" value=\"room_" + roomCode + "_num_" + numRoom + "_use_" + roomUse + "_pax_" + z + "_name\"/></label></p>";
					n++;
					count++;
				}
				numRoom++;
			}
		}
	}
	
	//document.getElementById("bookButton").innerHTML = '<p><img class="button" src="./img/book.gif" onclick="sendHotelBooking(document.r1)" disabled></img></p>';
}

function switchSearchType(searchType) {
	if (searchType == 1) {
		retrieveCountries(document.f1,'H');
		document.getElementById("cityLabel").style.display = "inline";
		document.getElementById("locationLabel").style.display = "inline";
		document.getElementById("regionLabel").style.display = "none";
		document.getElementById("activityLabel").style.display = "none";
	} else {
		retrieveCountriesWithActivities(document.f1,'H');
		document.getElementById("cityLabel").style.display = "none";
		document.getElementById("locationLabel").style.display = "none";
		document.getElementById("regionLabel").style.display = "inline";
		document.getElementById("activityLabel").style.display = "inline";
	}
}
function addToBooking(tfCode, clientName,tabrefCode) {
	var txtcode = '';
	var txtPax = '';
	if(tfCode!='NEW')
	{
		txtCode = "<b>Current travel file:</b> <a href=\"javascript:retrieveTravelFile('" + tfCode + "','" + clientName + "','"+tabrefCode+"');\">" + tfCode + "</a>";
		txtPax = "<b>Pax name:</b> " + clientName;
	}
	else
	{
		txtCode = "<b>Current travel file:</b> NEW";
		txtPax = "<b>Pax name:</b> ";
	}
	document.f1.tfCode.value = tfCode;
	document.f1.tabrefCode.value = tabrefCode;
	document.r1.tfCode.value = tfCode;
	document.r1.tabrefCode.value = tabrefCode;
	document.f2.tfCode.value = tfCode;
	document.f2.tabrefCode.value = tabrefCode;
	document.r2.tfCode.value = tfCode;
	document.r2.tabrefCode.value = tabrefCode;
	document.getElementById("travelFileInfo").innerHTML = txtCode + " " + txtPax;
	if(tfCode!='NEW')
	{
		document.getElementById("newTravelFile").innerHTML = "<a onclick=\"addToBooking('NEW', 'NEW','')\">[create new travel file]</a>";
		addToWizard(0,'Add booking to travel file >> Select criteria','','');
	}
	else
	{
		document.getElementById("newTravelFile").innerHTML = "";
		document.all.resultsData.innerHTML = '';
		addToWizard(0,'Select criteria','','');
	}
}
function modifyRoomingList(form) {
	var innerhtml = "";
	var hotelCode = form.serviceCode.value.split("_")[1];
	var counter = 0;
	for (j = 0; j < form.getElementsByTagName("input").length; j++) {
		var auxFormElement = form.getElementsByTagName("input")[j];
		if (auxFormElement.name.indexOf("_Qty") != -1 && auxFormElement.value != 0) {
			var qty = parseInt(auxFormElement.value, 10);
			var tmp = auxFormElement.name.split("_");
			var roomCode = tmp[1];
			var roomUse = parseInt(tmp[3], 10);
			var z = 0;
			switch (roomUse) {
			  case 0:
				z = 1;
				break;
			  case 1:
				z = 2;
				break;
			  case 2:
				z = 2;
				break;
			  case 3:
				z = 3;
				break;
			  case 4:
				z = 3;
				break;
			}
			
			//innerhtml += '<h5>' + eval("form.hdRoomTypeName_" + roomCode + ".value") + '</h5>';
			for (k = 0; k < qty; k++) {
				innerhtml += "<h5>" + document.getElementById("hdRoomTypeName_" + roomCode).value + "</h5>";
				innerhtml += "<ul>";
				for (r = 0; r < z; r++) {
					innerhtml += "<li><select name=\"RoomType_" + roomCode + "_Use_" + roomUse + "_Num_" + counter + "_Guest_" + r + "_NamePrefix\"><option value=\"Mr.\"> Mr.</option><option value=\"Mrs.\">Mrs.</option><option value=\"Miss.\">Miss</option><option value=\"Ms.\"> Ms.</option></select>&#160;";
					innerhtml += "<input type=\"text\" name=\"RoomType_" + roomCode + "_Use_" + roomUse + "_Num_" + counter + "_Guest_" + r + "_Name\" /></li>";
				}
				innerhtml += "</ul>";
				counter++;
			}
		}
		document.getElementById("tdRoomingList").innerHTML = innerhtml;
		//Rounded("div#tdRoomingList","#fff", "#efefef");
		document.getElementById("tdRoomingList").style.display = 'inline';
		
	}
}
function loadFromToDates(formObj) {
	if (formObj.fDay) {
		var monthsInYear = new Array(12);
		monthsInYear[0] = "Jan";
		monthsInYear[1] = "Feb";
		monthsInYear[2] = "Mar";
		monthsInYear[3] = "Apr";
		monthsInYear[4] = "May";
		monthsInYear[5] = "Jun";
		monthsInYear[6] = "Jul";
		monthsInYear[7] = "Aug";
		monthsInYear[8] = "Sep";
		monthsInYear[9] = "Oct";
		monthsInYear[10] = "Nov";
		monthsInYear[11] = "Dec";
		var todayDate = new Date();
		var todayDay = todayDate.getDate();
		var todayMonth = todayDate.getMonth() + 1;
		var todayYear = todayDate.getFullYear();
		
		for(i=0;i<31;i++)
		{
			var day = "" + (i+1);
			if(day.length<2)
				day = "0" + day;
			
			formObj.fDay.options[i] = new Option(day, day);
			
			if(formObj.tDay)
				formObj.tDay.options[i] = new Option(day, day);
		}
		
		for (i = 0; i < 12; i++) {
			var newDate = new Date(todayYear, (todayMonth + i) - 1, 1);
			var newMonth;
			var newYear;
			newMonth = newDate.getMonth();
			newYear = newDate.getFullYear();
			
			formObj.fYear.options[i] = new Option(monthsInYear[newMonth] + "-" + newYear, (newMonth + 1) + "-" + newYear);
			
			if(formObj.tDay)
				formObj.tYear.options[i] = new Option(monthsInYear[newMonth] + "-" + newYear, (newMonth + 1) + "-" + newYear);
		}
		if(formObj.tDay)
		{
			calculateAllMonthDays(formObj);
			formObj.fDay.selectedIndex = (todayDay);
			changeToDate(formObj);
			fillHDates(formObj);
		}
		else
		{
			calculateMonthDays("f", formObj);
			formObj.fDay.selectedIndex = (todayDay);
			fillFromHDate(formObj);
		}
	}
}

function changeToDate(formObj) {
	if(formObj.checkOutDate)
	{
		var fromDate = formObj.checkInDate.value;
		var fromDay = fromDate.split("-")[0];
		var fromMonth = fromDate.split("-")[1];
		var fromYear = fromDate.split("-")[2];
		var newDate = new Date(parseInt(fromYear, 10), parseInt((fromMonth - 1), 10), (parseInt(fromDay, 10) + 1));
		var newDay = "" + newDate.getDate();
		var newMonth = "" + (newDate.getMonth() + 1);
		var newYear = newDate.getFullYear();
		if (newMonth.length < 2) {
			newMonth = "0" + newMonth;
		}
		if (newDay.length < 2) {
			newDay = "0" + newDay;
		}
		formObj.checkOutDate.value = newDay + "-" + newMonth + "-" + newYear;
	}
}
/*
function changeToDate(form) {
	var fDay = parseInt(form.fDay.options[form.fDay.selectedIndex].value,10)+1;
	var fMonthYear = form.fYear.options[form.fYear.selectedIndex].value;
	var fMonth = parseInt(fMonthYear.split('-')[0],10)-1;
	var fYear = parseInt(fMonthYear.split('-')[1],10);
	var toDate = new Date();
	toDate.setFullYear(fYear,fMonth,fDay);
	var tDay = toDate.getDate();
	var tMonth = ""+(toDate.getMonth()+1);
	var tYear = ""+toDate.getFullYear();
	for(i=0; i<form.tYear.options.length; i++)
	{
		var value = form.tYear.options[i].value;
		if(value==tMonth+'-'+tYear)
		{
			form.tYear.selectedIndex = i;
			break; 
		}
	}
	calculateMonthDays("t", form);
	form.tDay.selectedIndex = (tDay-1);
	fillHDates(form);
}*/
function getNumberOfDays(formObj) {
	if(formObj.checkOutDate && formObj.numNights)
	{
		var oneDay = 1000 * 60 * 60 * 24;
		var fromDateForm = formObj.checkInDate.value;
		var toDateForm = formObj.checkOutDate.value;
		var fromDay = parseInt(fromDateForm.split("-")[0], 10);
		var fromMonth = parseInt(fromDateForm.split("-")[1], 10);
		var fromYear = parseInt(fromDateForm.split("-")[2], 10);
		var toDay = parseInt(toDateForm.split("-")[0], 10);
		var toMonth = parseInt(toDateForm.split("-")[1], 10);
		var toYear = parseInt(toDateForm.split("-")[2], 10);
		var fromDate = new Date(fromYear, (fromMonth - 1), fromDay);
		var toDate = new Date(toYear, (toMonth - 1), toDay);
		var numDays = Math.ceil((toDate.getTime() - fromDate.getTime()) / oneDay);
		
		if(numDays>0)
		{
			formObj.numNights.value = numDays;
		}
		else
		{
			alert('To date must be bigger than from date');
			changeToDate(formObj);
		}	
	}
}
function getToDateFromNights(formObj) {
	
	if(formObj.numNights)
	{
		var numberOfNights = parseInt(formObj.numNights.value + String.fromCharCode(event.keyCode), 10);
		var fromDateForm = formObj.checkInDate.value;
		var fromDay = parseInt(fromDateForm.split("-")[0], 10);
		var fromMonth = parseInt(fromDateForm.split("-")[1], 10);
		var fromYear = parseInt(fromDateForm.split("-")[2], 10);
		var fromDate = new Date(fromYear, (fromMonth - 1), fromDay);
		var toDate = new Date();
		toDate.setDate(fromDate.getDate() + numberOfNights);
		var newDay = "" + toDate.getDate();
		var newMonth = "" + (toDate.getMonth() + 1);
		var newYear = toDate.getFullYear();
		if (newMonth.length < 2) {
			newMonth = "0" + newMonth;
		}
		if (newDay.length < 2) {
			newDay = "0" + newDay;
		}
		formObj.checkOutDate.value = newDay + "-" + newMonth + "-" + newYear;
	}
}
function calculateAllMonthDays(formObj) {
	if (formObj.fDay && formObj.tDay) {
		calculateMonthDays("f", formObj);
		calculateMonthDays("t", formObj);
	}
}
function calculateMonthDays(fromTo, formObj) {
	var maxDays = 31;
	var yearText = eval("formObj." + fromTo + "Year.options[formObj." + fromTo + "Year.selectedIndex].value");
	var yearArray = yearText.split("-");
	var originalDay = eval("formObj." + fromTo + "Day.options[formObj." + fromTo + "Day.selectedIndex].value");
	var yearMonth = yearArray[0];
	var yearYear = yearArray[1];
	for (i = maxDays; i > 27; i--) {
		var fDateT = new Date(yearYear, yearMonth - 1, i);
		var newDate = new Date(fDateT);
		if ((newDate.getMonth() + 1) == yearMonth) {
			maxDays = i;
			break;
		}
	}
	eval("formObj." + fromTo + "Day.options.length = 0");
	for (x = 0; x < parseInt(maxDays); x++) {
		eval("formObj." + fromTo + "Day.options[" + x + "] = new Option(" + (x + 1) + "," + (x + 1) + ")");
	}
}
function fillHDates(formObj) {
	
	fillFromHDate(formObj);
	
	var toDay = formObj.tDay.options[formObj.tDay.selectedIndex].value;
	var toMonthYear = formObj.tYear.options[formObj.tYear.selectedIndex].value;
	var toMonthYearValues = toMonthYear.split("-");
	var toMonth = toMonthYearValues[0];
	var toYear = toMonthYearValues[1];
	if (toMonth.length < 2) {
		toMonth = "0" + toMonth;
	}
	if (toDay.length < 2) {
		toDay = "0" + toDay;
	}
	formObj.checkOutDate.value = toDay + "-" + toMonth + "-" + toYear;
}

function fillFromHDate(formObj) {
	var fromDay = formObj.fDay.options[formObj.fDay.selectedIndex].value;
	var fromMonthYear = formObj.fYear.options[formObj.fYear.selectedIndex].value;
	var fromMonthYearValues = fromMonthYear.split("-");
	var fromMonth = fromMonthYearValues[0];
	var fromYear = fromMonthYearValues[1];
	
	if (fromMonth.length < 2) {
		fromMonth = "0" + fromMonth;
	}
	if (fromDay.length < 2) {
		fromDay = "0" + fromDay;
	}
	formObj.checkInDate.value = fromDay + "-" + fromMonth + "-" + fromYear;
	
}

function fillDateFromHidden(form,dateName,fromTo)
{
	var newDate = eval("form." + dateName + ".value");
	var newDateDay = newDate.split("-")[0];
	var newDateMonth = parseInt(newDate.split("-")[1],10);
	var newDateYear = parseInt(newDate.split("-")[2],10);
	
	eval("form." + fromTo + "Day.selectedIndex = " + (parseInt(newDateDay,10)-1));
	
	for(i=0; i<eval("form." + fromTo + "Year.options.length"); i++)
	{
		var value = eval("form." + fromTo + "Year.options[" + i + "].value");
		if(value==newDateMonth+'-'+newDateYear)
		{
			eval("form." + fromTo + "Year.selectedIndex = " + i);
			break; 
		}
	}
	
	if(fromTo=='f')
	{
		if(form.tDay)
		{
			changeToDate(form);
		}
		else
		{
			fillFromHDate(form);
		}
	}
	else
	{
		fillHDates(form);
	}
}

function changePeriodDates(form)
{
	var fromDate = new Date();
	var toDate = new Date();
	var periodType = form.datePeriod.options[form.datePeriod.selectedIndex].value;
	if(periodType=='1')
	{
	
	}
	if(periodType=='2')
	{
		fromDate.setTime(fromDate.getTime()-oneDay);
		toDate.setTime(toDate.getTime()-oneDay);
	}
	if(periodType=='3')
	{
		fromDate.setDate(1);
	}
	if(periodType=='4')
	{
		fromDate.setFullYear(fromDate.getFullYear()-1);
	}
	if(periodType=='5')
	{
		toDate.setFullYear(toDate.getFullYear()+1);
	}
	var fromDay = "" + fromDate.getDate();
	var fromMonth = "" + (fromDate.getMonth() + 1);
	if (fromDay.length < 2) {
		fromDay = "0" + fromDay;
	}
	if (fromMonth.length < 2) {
		fromMonth = "0" + fromMonth;
	}
	form.checkInDate.value = fromDay + "-" + fromMonth + "-" + fromDate.getFullYear();
	
	var toDay = "" + toDate.getDate();
	var toMonth = "" + (toDate.getMonth() + 1);
	if (toDay.length < 2) {
		toDay = "0" + toDay;
	}
	if (toMonth.length < 2) {
		toMonth = "0" + toMonth;
	}
	form.checkOutDate.value = toDay + "-" + toMonth + "-" + toDate.getFullYear();
}

function modifyServiceReservation(tfCode, reservationCode, serviceCode, serviceDate, numPaxes)
{
	var reservationTable = document.getElementById("booking_" + reservationCode);
	document.getElementById("booking_" + reservationCode + "_Date").innerHTML = 'From: <input value="' + serviceDate + '" type="text" name="checkInDate" onfocus="javascript:showCalendar(\'checkInDate\', document.m2, \'f\');" onclick="javascript:showCalendar(\'checkInDate\', document.m2, \'f\');"/>';
	document.getElementById("booking_" + reservationCode + "_Date").innerHTML += ' Paxes <input value="' + numPaxes + '" type="text" name="numberOfPaxes" maxlength="2" size="2"/>';
	document.getElementById("booking_" + reservationCode + "_PaxListInputs").style.display = 'inline';
	document.getElementById("booking_" + reservationCode + "_PaxList").style.display = 'none';
	document.getElementById("booking_" + reservationCode + "_Buttons").innerHTML = '<input name="send" class="button" type="button" value="Modify" onclick="sendServiceMod(document.m2);"/>';
	var innerHTML = '<form name="m2"><input type="hidden" name="tfCode" value="' + tfCode + '" /><input type="hidden" name="reservationCode" value="'+ reservationCode + '" /><input type="hidden" name="serviceCode" value="' + serviceCode + '" />';
	innerHTML += reservationTable.innerHTML + '</form>';
	document.getElementById("dossierInfo").innerHTML = innerHTML;
}

function fillBookingTypes(form){
	form.innerHTML = '<input type="hidden" name="pageNum" value="1"/>\n'+
							'<input type="hidden" name="pageSize" value="20"/>\n'+
							'<p>\n'+
								'<label>Travel file: <input onkeypress="this.form.datePeriod.selectedIndex = 4;" type="text" name="travelFile" size="8"/> \n'+
								'Travel agent reference: <input onkeypress="this.form.datePeriod.selectedIndex = 4;" type="text" name="travelAgentBookingRef" size="8"/> \n'+
								'Pax name: <input onkeypress="this.form.datePeriod.selectedIndex = 4;" type="text" name="paxName"/>\n'+
								'<label>Products: <select name="classType"><option value="0">All</option><option value="1">Hotels</option><option value="2">Services</option><option value="3">Tours</option><option value="4">Packages</option><option value="5">Transfers</option><option value="6">Rent a car</option><option value="7">Cruises</option><option value="8">Others</option></select></label>\n'+
							'</p>\n'+
							'<p>\n'+
								'<label>Date: <select name="dateType"><option value="0">Booking date</option><option value="1">Arrival date</option><option value="2">Departure date</option><option value="3">Starting over</option></select></label>\n'+
								'<label>From: <input type="text" name="checkInDate" onfocus="javascript:showCalendar(\'checkInDate\', document.f6, \'f\');" onclick="javascript:showCalendar(\'checkInDate\', document.f6, \'f\');"/></label>\n'+
								'<label>To: <input type="text" name="checkOutDate" onfocus="javascript:showCalendar(\'checkOutDate\', document.f6, \'t\');" onclick="javascript:showCalendar(\'checkOutDate\', document.f6, \'t\');"/></label>\n'+
								'<label>Period: <select onchange="changePeriodDates(this.form)" name="datePeriod"><option value="0">Between</option><option selected="selected" value="1">Today</option><option value="2">Yesterday</option><option value="3">Month</option><option value="4">Year back</option><option value="5">Year forward</option></select></label>\n'+
							'</p>\n';

	if (document.loginInfo.privileges.value<12){
		form.innerHTML= form.innerHTML + '<p>\n'+
								'<label>Booking types:\n'+
									'<label>Quotes <input class="checkbox" type="checkbox" value="QuoType" name="QuoType"/>\n'+
									'Reservations <input class="checkbox" type="checkbox" value="ResType" name="ResType" checked/>\n'+
									'Modifications <input class="checkbox" type="checkbox" value="ModType" name="ModType" checked/>\n'+
									'Cancellations <input class="checkbox" type="checkbox" value="CanType" name="CanType" checked/></label>\n'+
								'</label>\n'+
								'<label>Status: <select name="statusAliveType"><option value="0">All</option><option value="1" selected>Live</option><option value="2">Dead</option></select> \n'+
								'<select name="statusConfirmationType"><option value="0">All</option><option value="1">Allotment</option><option value="2">Pending</option><option value="3">Confirmed</option><option value="4">Rejected</option></select></label>\n'+
							'</p>\n';	
	}
	else{
		form.innerHTML= form.innerHTML + '<p>\n'+
								'<label>Show Full History <input class="checkbox" type="checkbox" value="fullHistory" name="fullHistory"/></label>'+
								'</p>';
								
	}
	form.innerHTML = form.innerHTML + '<p>\n'+
								'<input class="button" type="button" value="See bookings" onclick="javascript:sendMovements(this.form,1,false);" />\n'+
							'</p>\n';
}

function showChangeAgency(form, loginXML){
	
	form.innerHTML="<p><br/></p><p class='center'>"+
					"<label>Agency: <select onchange='changeBranchesSelect(this.form)' name='agenciesSelect'></select></label>"+
					"<label>Branch: <select name='branchesSelect'></select></label>"+
					"</p><p>\n"+
					"<input class='button' type='button' value='Select agency/branch' onclick='changeAgency();' />\n"+
					"</p>";
					
	for(i=0;i <loginXML.getElementsByTagName("Agency").length;i++){
		form.agenciesSelect[i]= new Option(loginXML.getElementsByTagName("Agency")[i].getElementsByTagName("Name")[0].text, loginXML.getElementsByTagName("Agency")[i].getElementsByTagName("Code")[0].text);
	}

	for(i=0;i <loginXML.getElementsByTagName("Branch").length;i++){		
		form.branchesSelect[i]= new Option(loginXML.getElementsByTagName("Branch")[i].getElementsByTagName("Name")[0].text, loginXML.getElementsByTagName("Branch")[i].getElementsByTagName("Code")[0].text);
	}
	
}

function changeAgency(){
	document.loginInfo.agency.value=document.getElementById("log").agenciesSelect.options[document.getElementById("log").agenciesSelect.selectedIndex].text;
	document.loginInfo.branch.value=document.getElementById("log").branchesSelect.options[document.getElementById("log").branchesSelect.selectedIndex].text;
	document.loginInfo.agencyCode.value=document.getElementById("log").agenciesSelect.options[document.getElementById("log").agenciesSelect.selectedIndex].value;
	document.loginInfo.branchCode.value=document.getElementById("log").branchesSelect.options[document.getElementById("log").branchesSelect.selectedIndex].value;
	document.getElementById("userAgencyBranch").innerHTML="<b><br/>Operator ID: "+document.loginInfo.userDisplayName.value +"<br/>Operator name: "+document.loginInfo.operatorName.value  +"<br/>Agency: "+document.loginInfo.agency.value+"<br/>Branch: "+document.loginInfo.branch.value+"</b>";
	setTabsActive(true);
	switchTab("nav_hotels");
	fillBookingTypes(document.f6);
	retrieveInitial();
	retrieveAllCountriesAndCities(document.f1);	
	initializeForm(document.f1);
	initializeForm(document.f2);
	initializeForm(document.f6);
	changePeriodDates(document.f6);	
}

function changeBranchesSelect(form){
	var rq = url + "getthings?xxbd=" + dataBaseName + "&xxop=" + document.loginInfo.userName.value + "&xxps=" + document.loginInfo.passwd.value + "&xxaction=get_branches_by_agency&xxagency=" + form.agenciesSelect.options[form.agenciesSelect.selectedIndex].value;
	sendSync(rq, "", "6");
	form.branchesSelect.length=0;
	for(i=0;i <globalResult.getElementsByTagName("BranchDetail").length;i++){
		form.branchesSelect[i]= new Option(globalResult.getElementsByTagName("BranchDetail")[i].getElementsByTagName("Name")[0].text, globalResult.getElementsByTagName("BranchDetail")[i].getElementsByTagName("Code")[0].text);
	}
}

function updateRoomAdults(form, roomIndex){
	var numRoom = form.getElementsByTagName('li').length;
	if (numRoom>=4)
		return;
	if (roomIndex==numRoom){
		roomIndex++;
		document.getElementById("roomUsesList").innerHTML += '<li id="room'+roomIndex+'">'+
										'<label class="separated10"><b>Room '+roomIndex+'</b></label>'+
										'<label class="separated20">Adults: '+
											'<select id="room'+roomIndex+'Adults" onchange="updateRoomAdults(this.form, '+roomIndex+');updateRoomUses(this.form, '+roomIndex+')">'+
												'<option value="0">0</option>'+
												'<option value="1">1</option>'+
												'<option value="2">2</option>'+
												'<option value="3">3</option>'+
												'<option value="4">4</option>'+
												'<option value="5">5</option>'+
												'<option value="6">6</option>'+
												'<option value="7">7</option>'+
												'<option value="8">8</option>'+
												'<option value="9">9</option>'+
												'<option value="10">10</option>'+
											'</select>'+
										'</label>'+
										'<label class="separated20">Children: '+
											'<select id="room'+roomIndex+'Children" onchange="updateRoomUses(this.form, '+roomIndex+')">'+
												'<option value="0">0</option>'+
												'<option value="1">1</option>'+
												'<option value="2">2</option>'+
											'</select>'+
										'</label>'+
										'<label id="room'+roomIndex+'UseLabel" class="hidden">Use: <select id="room'+roomIndex+'Use"></select></label>'
									'</li>';
		createUseOptions('room'+roomIndex+'Use');
	}									
}

function updateRoomUses(form, roomIndex){
	var adults = document.getElementById('room'+roomIndex+'Adults').selectedIndex;
	var children = document.getElementById('room'+roomIndex+'Children').selectedIndex;
	var uses = translateRoomUses(adults,children,'');
	var i;
	
	document.getElementById('room'+roomIndex+'Use').options.length = 0;
		
	for (i=0 ; i<uses.length;i++){
		document.getElementById('room'+roomIndex+'Use').options[i]= new Option(uses[i],uses[i]);
	}

	document.getElementById('room'+roomIndex+'Use').selectedIndex= 0;
	
	if (uses.length == 0 || uses==-1){
		document.getElementById('room'+roomIndex+'UseLabel').style.display='none';
	}
	else if (uses.length == 1){
		document.getElementById('room'+roomIndex+'Use').disabled=true;
		document.getElementById('room'+roomIndex+'UseLabel').style.display='inline';
	}
	else{
		document.getElementById('room'+roomIndex+'Use').disabled=false;
		document.getElementById('room'+roomIndex+'UseLabel').style.display='inline';
	}
}

function createUseOptions(elementName,childIndex){
	document.getElementById(elementName).options[0]=new Option('','');
	
	document.getElementById(elementName).selectedIndex=0;
}


function updateModifyRoomAdults(form, roomIndex){
	var numRoom = form.getElementsByTagName('li').length-1;
	if (numRoom>=4)
		return;
	if (roomIndex==numRoom){
		roomIndex++;
		document.getElementById("modroomUsesList").innerHTML += '<li id="modroom'+roomIndex+'">'+
										'<label class="separated10"><b>Room '+roomIndex+'</b></label>'+
										'<label class="separated15">Adults: '+
											'<select id="modroom'+roomIndex+'Adults" onchange="updateModifyRoomAdults(this.form, '+roomIndex+');updateModifyRoomUses(this.form, '+roomIndex+');updateModifyRoomTypes(this.form, '+roomIndex+');changeModificationRoomingList('+roomIndex+')">'+
												'<option value="0">0</option>'+
												'<option value="1">1</option>'+
												'<option value="2">2</option>'+
												'<option value="3">3</option>'+
												'<option value="4">4</option>'+
												'<option value="5">5</option>'+
												'<option value="6">6</option>'+
												'<option value="7">7</option>'+
												'<option value="8">8</option>'+
												'<option value="9">9</option>'+
												'<option value="10">10</option>'+
											'</select>'+
										'</label>'+
										'<label class="separated15">Children: '+
											'<select id="modroom'+roomIndex+'Children" onchange="updateModifyRoomUses(this.form, '+roomIndex+');updateModifyRoomTypes(this.form, '+roomIndex+');changeModificationRoomingList('+roomIndex+')">'+
												'<option value="0">0</option>'+
												'<option value="1">1</option>'+
												'<option value="2">2</option>'+
											'</select>'+
										'</label>'+
										'<label id="modroom'+roomIndex+'UseLabel" class="separated15, hidden">Use: <select onchange=";updateModifyRoomTypes(this.form, '+roomIndex+')" id="modroom'+roomIndex+'Use"></select></label>'+
										'<label id="modroom'+roomIndex+'TypeLabel" class="separated15, hidden">'+
											'Room Type:'+
											'<select id="modroom'+roomIndex+'Type"></select></label>'+
										'</li>';
		createModifyUseOptions('modroom'+roomIndex+'Use');
		createModifyTypeOptions('modroom'+roomIndex+'Type');
		//createNewRoomInRoomingList(roomIndex);
	}									
}

function updateModifyRoomUses(form, roomIndex){
	var adults = document.getElementById('modroom'+roomIndex+'Adults').selectedIndex;
	var children = document.getElementById('modroom'+roomIndex+'Children').selectedIndex;
	var uses = translateRoomUses(adults,children,'');
	var i;
	
	document.getElementById('modroom'+roomIndex+'Use').options.length = 0;
		
	for (i=0 ; i<uses.length;i++){
		document.getElementById('modroom'+roomIndex+'Use').options[i]= new Option(uses[i],uses[i]);
	}

	document.getElementById('modroom'+roomIndex+'Use').selectedIndex= 0;
	
	if (uses.length == 0 || uses==-1){
		document.getElementById('modroom'+roomIndex+'UseLabel').style.display='none';
	}
	else if (uses.length == 1){
		document.getElementById('modroom'+roomIndex+'Use').disabled=true;
		document.getElementById('modroom'+roomIndex+'UseLabel').style.display='inline';
	}
	else{
		document.getElementById('modroom'+roomIndex+'Use').disabled=false;
		document.getElementById('modroom'+roomIndex+'UseLabel').style.display='inline';
	}
}

function updateModifyRoomTypes(form, roomIndex){
	var i;
	var roomTypes = getModificationRoomTypes(document.getElementById('modroom'+roomIndex+'Use').options[document.getElementById('modroom'+roomIndex+'Use').selectedIndex].value);
	document.getElementById('modroom'+roomIndex+'Type').options.length = 0;
		
	for (i=0 ; i<roomTypes.length;i++){
		document.getElementById('modroom'+roomIndex+'Type').options[i]= new Option(roomTypes[i][1]+' - '+roomTypes[i][2], roomTypes[i][0]);
	}

	document.getElementById('modroom'+roomIndex+'Type').selectedIndex= 0;
	
	if (roomTypes.length == 0 || roomTypes==-1){
		document.getElementById('modroom'+roomIndex+'TypeLabel').style.display='none';
	}
	else if (roomTypes.length == 1){
		document.getElementById('modroom'+roomIndex+'Type').disabled=true;
		document.getElementById('modroom'+roomIndex+'TypeLabel').style.display='inline';
	}
	else{
		document.getElementById('modroom'+roomIndex+'Type').disabled=false;
		document.getElementById('modroom'+roomIndex+'TypeLabel').style.display='inline';
	}

}

function createModifyUseOptions(elementName){
	document.getElementById(elementName).options[0]=new Option('','');
	
	document.getElementById(elementName).selectedIndex=0;
}

function createModifyTypeOptions(elementName){
	document.getElementById(elementName).options[0]=new Option('','');
	
	document.getElementById(elementName).selectedIndex=0;
}

function createNewRoomInRoomingList(roomIndex){
	var type=document.getElementById('modroom'+roomIndex+'Type').options[document.getElementById('modroom'+roomIndex+'Type').selectedIndex].text;
	var use=document.getElementById('modroom'+roomIndex+'Use').options[document.getElementById('modroom'+roomIndex+'Use').selectedIndex].text;
	var txt='<label class="roomTitle" id="modhotelRoom'+roomIndex+'Title">Room #'+roomIndex+' - '+type+'/'+use+'</label><br/>'+
			'<br/><div id="modhotelRoom'+roomIndex+'"></div>';
	
	document.getElementById("modhotelBookingRoomingList").innerHTML +=txt;
	//alert(txt);
	//changeModificationRoomingList(roomIndex);
}

function termsAcceptedChange(checkButton,button){
	if (checkButton.checked)
		document.getElementById(button).disabled=false;
	else
		document.getElementById(button).disabled=true;
}

function changeModificationRoomingList(roomIndex){
	if (!document.getElementById('modhotelRoom'+roomIndex))
		createNewRoomInRoomingList(roomIndex);
	var adults = document.getElementById('modroom'+roomIndex+'Adults').selectedIndex;
	var children = document.getElementById('modroom'+roomIndex+'Children').selectedIndex;
	var type = document.getElementById('modroom'+roomIndex+'Type').options[document.getElementById('modroom'+roomIndex+'Type').selectedIndex].text;
	var use = document.getElementById('modroom'+roomIndex+'Use').options[document.getElementById('modroom'+roomIndex+'Use').selectedIndex].text;
	var i,j;
		
	var txt="";
	for (i=1; i<= (adults+children);i++){
		txt += '<label class="separated20">'+
				'<select name="salu_num_'+roomIndex+'_pax_'+i+'">'+
				'<option value="Mr."> Mr.</option>'+
				'<option value="Mrs.">Mrs.</option>'+
				'<option value="Miss.">Miss.</option>'+
				'<option value="Ms.">Ms.</option></select>'+
				'</label>'+
				'<label class="separated20"><b>Name: </b><input type="text" name="room_num_'+roomIndex+'_pax_'+i+'_name"></input></label>'+
				'<label class="separated20"><b>Surname: </b><input type="text" name="room_num_'+roomIndex+'_pax_'+i+'_surname"></input></label>'+
				'<label class="separated20">';
		if (i>adults){
			txt+='<b>Child Age: </b><select name="room_num_'+roomIndex+'_pax_'+i+'_age"><option value="A">Adult</option>';
			for(j=0;j<19;j++){
				txt+='<option value='+j+'>'+j+'</option>';
			}
			txt+='</select>';
		}
		txt+='</label><br/>';
	}
	document.getElementById('modhotelRoom'+roomIndex).innerHTML=txt;
	document.getElementById('modhotelRoom'+roomIndex+'Title').innerHTML='Room #'+roomIndex+' - '+type.substring(0,type.indexOf(' - '))+'/'+use;
}