<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
	<xsl:template match="/">
		<Response>
			<h5>Cancellation policy</h5>
			<p><xsl:value-of select="//Policy"/></p>
			<xsl:if test="boolean(//Dates)">
				<p>If you cancel between <xsl:value-of select="substring(//Dates/@StartDate,9,2)"/>-<xsl:value-of select="substring(//Dates/@StartDate,6,2)"/>-<xsl:value-of select="substring(//Dates/@StartDate,1,4)"/>
				and <xsl:value-of select="substring(//Dates/@EndDate,9,2)"/>-<xsl:value-of select="substring(//Dates/@EndDate,6,2)"/>-<xsl:value-of select="substring(//Dates/@EndDate,1,4)"/>
				&#160; <b><xsl:value-of select="//Quantity"/></b>
				</p>
			</xsl:if>
		</Response>
	</xsl:template>

</xsl:stylesheet>