<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<Response>
			<xsl:for-each select="//HotelsCountryList/Country">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if
					test="position()!=count(//HotelsCountryList/Country)">
					|
				</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//HotelsCityList/City">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if
					test="position()!=count(//HotelsCityList/City)">
					|
				</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//HotelsLocationList/Location">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if
					test="position()!=count(//HotelsLocationList/Location)">
					|
				</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//CategoryType">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if test="position()!=count(//CategoryType)">
					|
				</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//UseType">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				$
				<xsl:value-of select="./@NumPaxes" />
				$
				<xsl:value-of select="./@NumChildren" />
				$
				<xsl:if test="position()!=count(//UseType)">|</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//ServicesCountryList/Country">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if
					test="position()!=count(//ServicesCountryList/Country)">
					|
				</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//ServicesCityList/City">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if
					test="position()!=count(//ServicesCityList/City)">
					|
				</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//ServicesLocationList/Location">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if
					test="position()!=count(//ServicesLocationList/Location)">
					|
				</xsl:if>
			</xsl:for-each>
			#
			<xsl:for-each select="//SpecialRequest">
				<xsl:value-of select="./@Code" />
				$
				<xsl:value-of select="./@Name" />
				<xsl:if test="position()!=count(//SpecialRequest)">
					|
				</xsl:if>
			</xsl:for-each>
		</Response>
	</xsl:template>

</xsl:stylesheet>
